libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryFieldField Class Reference

Represents one field of an entity (through a QueryTarget object). More...

Inheritance diagram for Gnome::Gda::QueryFieldField:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<const EntityField> | get_ref_field () const
| Get the real Gda::EntityField object (well, the object which implements that interface) referenced by field.
Glib::RefPtr<EntityField> | get_ref_field ()
| Get the real Gda::EntityField object (well, the object which implements that interface) referenced by field.
Glib::ustring | get_ref_field_name () const
| Get the real name of the represented field.
Glib::RefPtr<const QueryTarget> | get_target () const
| Get the Gda::QueryTarget object field 'belongs' to.
Glib::RefPtr<QueryTarget> | get_target ()
| Get the Gda::QueryTarget object field 'belongs' to.
const GdaQueryFieldField* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryFieldField* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryFieldField* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_entry_plugin () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_entry_plugin ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<EntityField >> | property_field () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< EntityField > > | property_field ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_field_id ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_field_name () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_field_name ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Query >> | property_query () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<QueryTarget >> | property_target () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< QueryTarget > > | property_target ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_target_id ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_target_name ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<QueryField >> | property_value_provider () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< QueryField > > | property_value_provider ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_value_provider_xml_id () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_value_provider_xml_id ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
virtual | ~QueryFieldField ()

## Static Public Member Functions

static Glib::RefPtr<QueryFieldField> | create (const Glib::RefPtr<Query>& query, const Glib::ustring& field, const Glib::RefPtr<QueryTarget>& target, const Glib::RefPtr<QueryField>& value_provider)
static Glib::RefPtr<QueryFieldField> | create (const Glib::RefPtr<Query>& query, const Glib::ustring& field, const Glib::RefPtr<QueryTarget>& target)
static Glib::RefPtr<QueryFieldField> | create (const Glib::RefPtr<Query>& query, const Glib::ustring& field)

## Protected Member Functions

| QueryFieldField (const Glib::RefPtr<Query>& query, const Glib::ustring& field, const Glib::RefPtr<QueryTarget>& target, const Glib::RefPtr<QueryField>& value_provider)
| QueryFieldField (const Glib::RefPtr<Query>& query, const Glib::ustring& field, const Glib::RefPtr<QueryTarget>& target)
| QueryFieldField (const Glib::RefPtr<Query>& query, const Glib::ustring& field)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryFieldField> | wrap (GdaQueryFieldField* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents one field of an entity (through a QueryTarget object).

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryFieldField::~QueryFieldField | ( |  | ) | `[virtual]`

Gnome::Gda::QueryFieldField::QueryFieldField | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field |
| ) |  |  | `[protected]`

Gnome::Gda::QueryFieldField::QueryFieldField | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field,
|  | const Glib::RefPtr<QueryTarget>& | target |
| ) |  |  | `[protected]`

Gnome::Gda::QueryFieldField::QueryFieldField | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field,
|  | const Glib::RefPtr<QueryTarget>& | target,
|  | const Glib::RefPtr<QueryField>& | value_provider |
| ) |  |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<QueryFieldField> Gnome::Gda::QueryFieldField::create | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field,
|  | const Glib::RefPtr<QueryTarget>& | target,
|  | const Glib::RefPtr<QueryField>& | value_provider |
| ) |  |  | `[static]`

static Glib::RefPtr<QueryFieldField> Gnome::Gda::QueryFieldField::create | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field,
|  | const Glib::RefPtr<QueryTarget>& | target |
| ) |  |  | `[static]`

static Glib::RefPtr<QueryFieldField> Gnome::Gda::QueryFieldField::create | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | field |
| ) |  |  | `[static]`

Glib::RefPtr<const EntityField> Gnome::Gda::QueryFieldField::get_ref_field | ( |  | ) | const

Get the real Gda::EntityField object (well, the object which implements that interface) referenced by field.

Returns:
  The Gda::EntityField object, or `0` if field is not active.

Glib::RefPtr<EntityField> Gnome::Gda::QueryFieldField::get_ref_field | ( |  | ) |

Get the real Gda::EntityField object (well, the object which implements that interface) referenced by field.

Returns:
  The Gda::EntityField object, or `0` if field is not active.

Glib::ustring Gnome::Gda::QueryFieldField::get_ref_field_name | ( |  | ) | const

Get the real name of the represented field.

The returned name can be in either forms: <itemizedlist> <listitem>field_name</listitem> <listitem>table_name.field_name</listitem> </itemizedlist>

Returns:
  Represented field name (free the memory after usage).

Glib::RefPtr<const QueryTarget> Gnome::Gda::QueryFieldField::get_target | ( |  | ) | const

Get the Gda::QueryTarget object field 'belongs' to.

Returns:
  The Gda::QueryTarget object.

Glib::RefPtr<QueryTarget> Gnome::Gda::QueryFieldField::get_target | ( |  | ) |

Get the Gda::QueryTarget object field 'belongs' to.

Returns:
  The Gda::QueryTarget object.

const GdaQueryFieldField* Gnome::Gda::QueryFieldField::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldField* Gnome::Gda::QueryFieldField::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldField* Gnome::Gda::QueryFieldField::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryField.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_entry_plugin | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::QueryFieldField::property_entry_plugin | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<EntityField>> Gnome::Gda::QueryFieldField::property_field | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<EntityField>> Gnome::Gda::QueryFieldField::property_field | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_field_id | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_field_name | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::QueryFieldField::property_field_name | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Query>> Gnome::Gda::QueryFieldField::property_query | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<QueryTarget>> Gnome::Gda::QueryFieldField::property_target | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<QueryTarget>> Gnome::Gda::QueryFieldField::property_target | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_target_id | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_target_name | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<QueryField>> Gnome::Gda::QueryFieldField::property_value_provider | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<QueryField>> Gnome::Gda::QueryFieldField::property_value_provider | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::QueryFieldField::property_value_provider_xml_id | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::QueryFieldField::property_value_provider_xml_id | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryFieldField> wrap | ( | GdaQueryFieldField * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfieldfield.h